/**********************************************************************
 * 
 *  File: file
 * 
 *  Created: Jul 13, 2005
 *
 *  Version: $Id: Texture2DTest.hpp,v 1.2 2005/07/13 14:40:47 johans Exp $
 *
 *  Authors: Trond R. Hagen <trr@sintef.no>, 
 *	     Jon Mikkelsen Hjelmervik <jami@sintef.no>,
 *	     Johan S. Seland <johans@ifi.uio.no>
 *
 *  This file is part of the Shallows library.
 *  Copyright (C) 2005 by SINTEF.  All rights reserved.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  ("GPL") version 2 as published by the Free Software Foundation.
 *  See the file LICENSE.GPL at the root directory of this source
 *  distribution for additional information about the GNU GPL.
 * 
 *  For using Shallows with software that can not be combined with the
 *  GNU GPL, please contact SINTEF for aquiring a commercial license
 *  and support.
 *
 *  SINTEF, Pb 124 Blindern, N-0314 Oslo, Norway
 *  http://www.sintef.no
 *********************************************************************/
#ifndef _TEXTURE2DTEST_HPP_
#define _TEXTURE2DTEST_HPP_

#include <cppunit/extensions/HelperMacros.h>

namespace test
{

class Texture2DTest : public CPPUNIT_NS::TestFixture 
{
	CPPUNIT_TEST_SUITE( Texture2DTest );
	CPPUNIT_TEST( construction );
	CPPUNIT_TEST_SUITE_END();
	
public:
	Texture2DTest();
   virtual ~Texture2DTest();
	void setUp();
	
protected:
   void construction();
};

}; // namespace test

#endif //_TEXTURE2DTEST_HPP_
