/**********************************************************************
 * 
 *  File: RenderTarget.hpp
 * 
 *  Created: 04. July 2005
 *
 *  Version: $Id: RenderTarget.hpp,v 1.13 2005/11/25 11:18:15 jonhjelm Exp $
 *
 *  Authors: Trond R. Hagen <trr@sintef.no>, 
 *	         Jon Mikkelsen Hjelmervik <jami@sintef.no>,
 *	         Johan S. Seland <johans@ifi.uio.no>
 *
 *  This file is part of the Shallows library.
 *  Copyright (C) 2005 by SINTEF.  All rights reserved.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  ("GPL") version 2 as published by the Free Software Foundation.
 *  See the file LICENSE.GPL at the root directory of this source
 *  distribution for additional information about the GNU GPL.
 * 
 *  For using Shallows with software that can not be combined with the
 *  GNU GPL, please contact SINTEF for aquiring a commercial license
 *  and support.
 *
 *  SINTEF, Pb 124 Blindern, N-0314 Oslo, Norway
 *  http://www.sintef.no
 *********************************************************************/

#ifndef _RENDERTARGET_HPP_
#define _RENDERTARGET_HPP_
#include "shallows/config.h"

namespace shallows {

  /** \brief Abstract class for handling RenderTargets, which may be attached 
   *  as color or depth attachments in a framebuffer.
   */
class  DllExport RenderTarget
{

public:

  RenderTarget();
  virtual ~RenderTarget();

   /** Returns the enum to use to set ReadBuffer or DrawBuffer.
    *  This enum may change, and the value returned is the enum
    *  which was correct last time the rendertarget was bound.
    */
//  virtual unsigned int getLastBufferEnum() const=0;

protected:

private:
}; // 

} // end namespace shallows


#endif // _RENDERTARGET_HPP_
