// -*-C++-*-

[Vertex shader]

void main ()
{
  gl_Position = ftransform();
  gl_TexCoord[0]=gl_MultiTexCoord0;
}

[Fragment shader]

uniform sampler2D texture;
uniform float h;

void main () 
{

  const float k = 1.0;
  const float r = 0.23;//k*(h*h)*4.0;

  vec4 u = texture2D(texture, gl_TexCoord[0].xy);
  vec4 u_pj = texture2D(texture, gl_TexCoord[0].xy + vec2(h,0.0));
  vec4 u_mj = texture2D(texture, gl_TexCoord[0].xy - vec2(h,0.0));
  vec4 u_ip = texture2D(texture, gl_TexCoord[0].xy + vec2(0.0,h));
  vec4 u_im = texture2D(texture, gl_TexCoord[0].xy - vec2(0.0,h));

  vec4 result = (1.0-4.0*r)*u + r*(u_pj + u_mj + u_ip + u_im);
  gl_FragColor = result;
}
