/**********************************************************************
 * 
 *  File: 
 * 
 *  Created:
 *
 *  Version: $Id: OnScreenRenderTarget.cpp,v 1.6 2005/09/26 12:24:35 jonhjelm Exp $
 *
 *  Authors: Trond R. Hagen <trr@sintef.no>, 
 *	     Jon Mikkelsen Hjelmervik <jami@sintef.no>,
 *	     Johan S. Seland <johans@ifi.uio.no>
 *
 *  This file is part of the Shallows library.
 *  Copyright (C) 2005 by SINTEF.  All rights reserved.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  ("GPL") version 2 as published by the Free Software Foundation.
 *  See the file LICENSE.GPL at the root directory of this source
 *  distribution for additional information about the GNU GPL.
 * 
 *  For using Shallows with software that can not be combined with the
 *  GNU GPL, please contact SINTEF for aquiring a commercial license
 *  and support.
 *
 *  SINTEF, Pb 124 Blindern, N-0314 Oslo, Norway
 *  http://www.sintef.no
 *********************************************************************/

#include "shallows/OnScreenRenderTarget.hpp"
#include "shallows/shallows.hpp"
#include "shallows/shallowsexcept.hpp"
#include "shallows/internal/GLIncludes.hpp"

using namespace shallows::internal;

namespace shallows {


OnScreenRenderTarget::OnScreenRenderTarget(unsigned int buff) :
   buff_enum_(buff)
{
}

OnScreenRenderTarget::~OnScreenRenderTarget()
{
}


unsigned int OnScreenRenderTarget::getLastBufferEnum() const
{
   return buff_enum_;
}


void OnScreenRenderTarget::operator=(const OnScreenRenderTarget &b)
{ ; }

} // namespace shallows


